Skip to main content
POST
/omio/journeys/search

Authorizations

access-token
string
header
required

API token from the dashboard

Headers

access-token
string
required

Body

application/json
mode
enum<string>
required
Available options:
train,
bus,
flight,
ferry
origin
string
required
Minimum string length: 1
destination
string
required
Minimum string length: 1
count
integer
required
Required range: x >= 1
timeout
integer
default:300
Required range: 20 <= x <= 1500
date
string | null

Response

Successful Response

@type
string
default:OmioJourney
id
string | null
mode
string | null
departure
object | null
arrival
object | null
departure_at
string | null
arrival_at
string | null
estimated_departure_at
string | null
estimated_arrival_at
string | null
duration_minutes
integer | null
price
number | null
currency
string | null
carrier_id
string | null
carrier_name
string | null
carrier_code
string | null
stop_count
integer | null
provider_id
string | null
is_bookable
boolean | null
booking_url
string | null
connections
object[]